/* /Pages/Upload.razor.rz.scp.css */
[b-l1m8w7xfdu] .drop-zone {
    padding: 32px;
    border: dashed 2px #cecece;
    transition: border linear 0.2s;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 30px;
    color: #a4a4a4;
}

    [b-l1m8w7xfdu] .drop-zone.hover {
        border: dashed 2px darkorange;
    }
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-s8ucla1y7j] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-s8ucla1y7j] {
    display: flex;
    flex: 1;
    flex-direction: column;
}

    main > article[b-s8ucla1y7j]{
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    .sidebar[b-s8ucla1y7j] {
        background-color: #ff9400;
        /*background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);*/
    }

.top-row[b-s8ucla1y7j] {
    background-color: #fff;
    border-bottom: 5px solid #ff9a00;
    /*border-bottom: 1px solid #d6d5d5;*/
    justify-content: flex-end;
    height: 80px;
    display: flex;
    align-items: center;
    z-index: 2;
}

    .top-row[b-s8ucla1y7j]  a, .top-row[b-s8ucla1y7j]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-s8ucla1y7j]  a:hover, .top-row[b-s8ucla1y7j]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-s8ucla1y7j]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-s8ucla1y7j] {
        display: none;
    }

    .top-row.auth[b-s8ucla1y7j] {
        justify-content: space-between;
    }

    .top-row[b-s8ucla1y7j]  a, .top-row[b-s8ucla1y7j]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-s8ucla1y7j] {
        flex-direction: row;
    }

    .sidebar[b-s8ucla1y7j] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-s8ucla1y7j] {
        position: sticky;
        top: 0;
    }

    .top-row.auth[b-s8ucla1y7j]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

   /* .top-row, article {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }*/
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-rmono0l3ie] {
    background-color: rgba(255, 255, 255, 0.1);
}

.navbar-brand[b-rmono0l3ie] {
    font-size: 1.1rem;
}

.custom.top-row.navbar .navbar-brand[b-rmono0l3ie] {
    background-repeat: no-repeat;
    height: 60px;
    width: 90px;
    background-position-x: left;
    background-image: url('logorn200.png');
    background-size: 60px;
}

.oi[b-rmono0l3ie] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-rmono0l3ie] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-rmono0l3ie] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-rmono0l3ie] {
        padding-bottom: 1rem;
    }

    .nav-item[b-rmono0l3ie]  a {
        color: #fff;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        /*line-height: 3rem;*/
    }

.nav-item[b-rmono0l3ie]  a.active {
    font-weight: 600;
    border-left: 5px solid #fff;
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-rmono0l3ie]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-rmono0l3ie] {
        display: none;
    }

    .collapse[b-rmono0l3ie] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .custom.top-row.navbar .navbar-brand[b-rmono0l3ie] {
        background-position: center;
        background-image: url('logocurn200.png');
        height: 200px;
        width: 100%;
        background-size: contain;
    }
}


